export class CacheConfig {
    constructor() {
        this.mEnable = false;
        this.mDir = "";
        this.mMaxSizeMB = 0;
        this.mMaxDurationS = 0;
    }
    isCacheEnabled() {
        return this.mEnable;
    }
    setCacheEnabled(j25) {
        this.mEnable = j25;
    }
    getCacheDir() {
        return this.mDir;
    }
    setCacheDir(i25) {
        this.mDir = i25;
    }
    getMaxCacheSizeMB() {
        return this.mMaxSizeMB;
    }
    setMaxCacheSizeMB(h25) {
        this.mMaxSizeMB = h25;
    }
    getMaxDurationS() {
        return this.mMaxDurationS;
    }
    setMaxDurationS(g25) {
        this.mMaxDurationS = g25;
    }
}
